diff --git a/doc/language_issues.de b/doc/language_issues.de
index 5f7bf7b5f..05be63aa9 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -706,6 +706,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.en b/doc/language_issues.en
index 498bf4078..7ba4d1d24 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -1995,7 +1995,6 @@ WARNING: untranslated string: urlfilter restore results = Restore results
 WARNING: untranslated string: urlfilter restore settings = Restore URL filter settings
 WARNING: untranslated string: urlfilter restore success = URL filter configuration has been restored. The URL filter must be restarted to activate the new settings.
 WARNING: untranslated string: urlfilter restore text = To restore a previously saved configuration upload the .tar.gz backup file below
-WARNING: untranslated string: urlfilter safesearch = Enable SafeSearch
 WARNING: untranslated string: urlfilter sat = S
 WARNING: untranslated string: urlfilter saturday = Sat
 WARNING: untranslated string: urlfilter save and restart = Save and Restart
diff --git a/doc/language_issues.es b/doc/language_issues.es
index f3b695f24..220211cf8 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -631,6 +631,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index af1f15ab7..d1386349a 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -747,6 +747,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 5da8a8dd7..10633c2ec 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -720,6 +720,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 6be2cb6b2..c4654c4af 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -715,6 +715,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index f3b695f24..220211cf8 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -631,6 +631,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 53a655c99..6820bca75 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -634,6 +634,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 88baad746..d2d9b9c82 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -748,6 +748,7 @@ WARNING: translation string unused: uptime and users
 WARNING: translation string unused: urlfilter background image
 WARNING: translation string unused: urlfilter background text
 WARNING: translation string unused: urlfilter enable jpeg
+WARNING: translation string unused: urlfilter safesearch
 WARNING: translation string unused: urlfilter update information
 WARNING: translation string unused: urlfilter update notification
 WARNING: translation string unused: urlfilter update results
diff --git a/html/cgi-bin/urlfilter.cgi b/html/cgi-bin/urlfilter.cgi
index c3c327eec..28ffc8114 100644
--- a/html/cgi-bin/urlfilter.cgi
+++ b/html/cgi-bin/urlfilter.cgi
@@ -138,7 +138,6 @@ $filtersettings{'BLOCK_IP_ADDR'} = 'off';
 $filtersettings{'BLOCK_ALL'} = 'off';
 $filtersettings{'ENABLE_EMPTY_ADS'} = 'off';
 $filtersettings{'ENABLE_GLOBAL_WHITELIST'} = 'off';
-$filtersettings{'ENABLE_SAFESEARCH'} = 'off';
 $filtersettings{'ENABLE_LOG'} = 'off';
 $filtersettings{'ENABLE_USERNAME_LOG'} = 'off';
 $filtersettings{'ENABLE_CATEGORY_LOG'} = 'off';
@@ -1057,9 +1056,6 @@ $checked{'ENABLE_EMPTY_ADS'}{$filtersettings{'ENABLE_EMPTY_ADS'}} = "checked='ch
 $checked{'ENABLE_GLOBAL_WHITELIST'}{'off'} = '';
 $checked{'ENABLE_GLOBAL_WHITELIST'}{'on'} = '';
 $checked{'ENABLE_GLOBAL_WHITELIST'}{$filtersettings{'ENABLE_GLOBAL_WHITELIST'}} = "checked='checked'";
-$checked{'ENABLE_SAFESEARCH'}{'off'} = '';
-$checked{'ENABLE_SAFESEARCH'}{'on'} = '';
-$checked{'ENABLE_SAFESEARCH'}{$filtersettings{'ENABLE_SAFESEARCH'}} = "checked='checked'";
 $checked{'ENABLE_LOG'}{'off'} = '';
 $checked{'ENABLE_LOG'}{'on'} = '';
 $checked{'ENABLE_LOG'}{$filtersettings{'ENABLE_LOG'}} = "checked='checked'";
@@ -1474,20 +1470,16 @@ print <<END
 	<td><input type='checkbox' name='ENABLE_LOG' $checked{'ENABLE_LOG'}{'on'} /></td>
 </tr>
 <tr>
-	<td class='base'>$Lang::tr{'urlfilter safesearch'}:</td>
-	<td><input type='checkbox' name='ENABLE_SAFESEARCH' $checked{'ENABLE_SAFESEARCH'}{'on'} /></td>
-	<td class='base'>$Lang::tr{'urlfilter username log'}:</td>
-	<td><input type='checkbox' name='ENABLE_USERNAME_LOG' $checked{'ENABLE_USERNAME_LOG'}{'on'} /></td>
-</tr>
-<tr>
 	<td class='base'>$Lang::tr{'urlfilter empty ads'}:</td>
 	<td><input type='checkbox' name='ENABLE_EMPTY_ADS' $checked{'ENABLE_EMPTY_ADS'}{'on'} /></td>
-	<td class='base'>$Lang::tr{'urlfilter category log'}:</td>
-	<td><input type='checkbox' name='ENABLE_CATEGORY_LOG' $checked{'ENABLE_CATEGORY_LOG'}{'on'} /></td>
+	<td class='base'>$Lang::tr{'urlfilter username log'}:</td>
+	<td><input type='checkbox' name='ENABLE_USERNAME_LOG' $checked{'ENABLE_USERNAME_LOG'}{'on'} /></td>
 </tr>
 <tr>
 	<td class='base'>$Lang::tr{'urlfilter block ip'}:</td>
 	<td><input type='checkbox' name='BLOCK_IP_ADDR' $checked{'BLOCK_IP_ADDR'}{'on'} /></td>
+	<td class='base'>$Lang::tr{'urlfilter category log'}:</td>
+	<td><input type='checkbox' name='ENABLE_CATEGORY_LOG' $checked{'ENABLE_CATEGORY_LOG'}{'on'} /></td>
 </tr>
 <tr>
 	<td class='base'>$Lang::tr{'urlfilter block all'}:</td>
@@ -2834,47 +2826,15 @@ sub writeconfigfile
 		}
 	}
 
-	if ((($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles)) || ($filtersettings{'ENABLE_SAFESEARCH'} eq 'on'))
-	{
+	if (($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles)) {
 		print FILE "rewrite rew-rule-1 {\n";
 
-		if (($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles))
-		{
-			print FILE "    # rewrite localfiles\n";
-			foreach (@repositoryfiles)
-			{
-				print FILE "    s@.*/$_\$\@http://$netsettings{'GREEN_ADDRESS'}:$http_port/repository/$_\@i\n";
-			}
-		}
-
-		if ($filtersettings{'ENABLE_SAFESEARCH'} eq 'on')
+		print FILE "    # rewrite localfiles\n";
+		foreach (@repositoryfiles)
 		{
-			print FILE "    # rewrite safesearch\n";
-			print FILE "    s@(.*\\Wgoogle\\.\\w+/(webhp|search|imghp|images|grphp|groups|nwshp|frghp|froogle)\\?)(.*)(\\bsafe=\\w+)(.*)\@\\1\\3safe=strict\\5\@i\n";
-			print FILE "    s@(.*\\Wgoogle\\.\\w+/(webhp|search|imghp|images|grphp|groups|nwshp|frghp|froogle)\\?)(.*)\@\\1safe=strict\\\&\\3\@i\n";
-			print FILE "    s@(.*\\Wsearch\\.yahoo\\.\\w+/search\\W)(.*)(\\bvm=\\w+)(.*)\@\\1\\2vm=r\\4\@i\n";
-			print FILE "    s@(.*\\Wsearch\\.yahoo\\.\\w+/search\\W.*)\@\\1\\\&vm=r\@i\n";
-			print FILE "    s@(.*\\Walltheweb\\.com/customize\\?)(.*)(\\bcopt_offensive=\\w+)(.*)\@\\1\\2copt_offensive=on\\4\@i\n";
-			print FILE "    s@(.*\\Wbing\\.\\w+/)(.*)(\\badlt=\\w+)(.*)\@\\1\\2adlt=strict\\4\@i\n";
-			print FILE "    s@(.*\\Wbing\\.\\w+/.*)\@\\1\\\&adlt=strict\@i\n";
+			print FILE "    s@.*/$_\$\@http://$netsettings{'GREEN_ADDRESS'}:$http_port/repository/$_\@i\n";
 		}
-
 		print FILE "}\n\n";
-
-		if ((!($filtersettings{'UNFILTERED_CLIENTS'} eq '')) && ($filtersettings{'ENABLE_SAFESEARCH'} eq 'on')) {
-			print FILE "rewrite rew-rule-2 {\n";
-			if (($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles))
-			{
-				print FILE "    # rewrite localfiles\n";
-				foreach (@repositoryfiles)
-				{
-					print FILE "    s@.*/$_\$\@http://$netsettings{'GREEN_ADDRESS'}:$http_port/repository/$_\@i\n";
-				}
-			} else {
-				print FILE "    # rewrite nothing\n";
-			}
-			print FILE "}\n\n";
-		}
 	}
 
 	if (!($filtersettings{'UNFILTERED_CLIENTS'} eq '')) {
@@ -3083,10 +3043,6 @@ sub writeconfigfile
 	if (!($filtersettings{'UNFILTERED_CLIENTS'} eq '')) {
 		print FILE "    unfiltered {\n";
 		print FILE "        pass all\n";
-		if ($filtersettings{'ENABLE_SAFESEARCH'} eq 'on')
-		{
-			print FILE "        rewrite rew-rule-2\n";
-		}
 		print FILE "    }\n\n";
 	}
 	if (!($filtersettings{'BANNED_CLIENTS'} eq '')) {
@@ -3215,7 +3171,7 @@ sub writeconfigfile
 			print FILE "        logfile".$ident." urlfilter.log\n";
 		}
 	}
-	if ((($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles)) || ($filtersettings{'ENABLE_SAFESEARCH'} eq 'on'))
+	if (($filtersettings{'ENABLE_REWRITE'} eq 'on') && (@repositoryfiles))
 	{
 		print FILE "        rewrite rew-rule-1\n";
 	}