diff --git a/doc/language_issues.de b/doc/language_issues.de
index 8626edafd..ddbaaeabc 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -633,6 +633,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 5f5624426..531bbf43f 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -688,6 +688,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 0965d9750..65bbc3fee 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -663,6 +663,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 607e013ff..70202b115 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -616,6 +616,7 @@ WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index d13efb067..4b06a72fb 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -616,6 +616,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index 8f3249a69..addc6e645 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -541,6 +541,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 20877431d..519276167 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -536,6 +536,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 973e87c62..6309ffbbd 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -646,6 +646,7 @@ WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 5cac132b9..5bb56f9a7 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2037,6 +2037,7 @@
 'pakfire uninstall package' => 'Sie möchten folgende Pakete deinstallieren: ',
 'pakfire update daily' => 'Täglich nach Updates suchen:',
 'pakfire updates' => 'Zur Verfügung stehende Updates:',
+'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire führt gerade eine Aufgabe aus... Bitte warten Sie, bis diese erfolgreich beendet wurde.',
 'pap or chap' => 'PAP oder CHAP',
 'parentclass' => 'Elternklasse',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 7e3cedc5c..50b265c80 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2102,6 +2102,7 @@
 'pakfire uninstall description' => 'Please choose one or more items from the list below and click the minus to uninstall.',
 'pakfire uninstall package' => 'You want to uninstall the following packages: ',
 'pakfire update daily' => 'Search for updates daily:',
+'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire is working ... Please wait until all operations have completed successfully.',
 'pap or chap' => 'PAP or CHAP',
 'parentclass' => 'Parentclass',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index 8a6322abe..627a3ae93 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -2100,6 +2100,7 @@
 'pakfire uninstall package' => 'Desea desinstalar los siguientes paquetes:',
 'pakfire update daily' => 'Buscar actualizaciones diariamente:',
 'pakfire updates' => 'Actualización disponible:',
+'pakfire upgrade' => 'Actualizar',
 'pakfire working' => 'Pakfire está trabajando… Por favor espere hasta que todas las operaciones se hallan completado exitosamente.',
 'pap or chap' => 'PAP o CHAP',
 'parentclass' => 'Clase principal',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 055def46e..438d98a8e 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2098,6 +2098,7 @@
 'pakfire uninstall package' => 'Vous souhaitez désinstaller le(s) module(s) suivant(s) : ',
 'pakfire update daily' => 'Rechercher des mises à jour quotidiennes :',
 'pakfire updates' => 'Mise à jour disponible :',
+'pakfire upgrade' => 'Améliorer',
 'pakfire working' => 'Pakfire est en cours de traitement... Veuillez attendre que tout soit terminé.',
 'pap or chap' => 'PAP ou CHAP',
 'parentclass' => 'Classe parent',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 4654813cc..106ec40b5 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1729,6 +1729,7 @@
 'pakfire uninstall description' => 'Si prega di scegliere uno o più elementi dalla lista qui sotto e fare clic sul meno per disinstallare..',
 'pakfire uninstall package' => 'You want to uninstall the following packages: ',
 'pakfire update daily' => 'Ricerca gli aggiornamenti una volta al giorno:',
+'pakfire upgrade' => 'Aggiornamento',
 'pakfire working' => 'Pakfire sta lavorando... Per favore attendi il termine delle operazioni',
 'pap or chap' => 'PAP or CHAP',
 'parentclass' => 'Parentclass',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 8b8979972..a00e06a67 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1705,6 +1705,7 @@
 'pakfire uninstall package' => 'U wilt de volgende pakketten deinstalleren: ',
 'pakfire update daily' => 'Zoek dagelijks naar updates:',
 'pakfire updates' => 'Beschikbare update:',
+'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire is bezig ... Wacht a.u.b. totdat alle handelingen succesvol zijn afgerond.',
 'pap or chap' => 'PAP of CHAP',
 'parentclass' => 'Parent-klasse',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 4be749041..22962a6d7 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1370,6 +1370,7 @@
 'pakfire uninstall package' => 'Zamierzasz odinstalować następujące pakiety: ',
 'pakfire update daily' => 'Szukaj aktualizacje codziennie:',
 'pakfire updates' => 'Dostępne aktualizacje:',
+'pakfire upgrade' => 'Aktualizacja',
 'pakfire working' => 'Pakfire pracuje ... Proszę poczekać na zakończenie wszystkich operacji.',
 'pap or chap' => 'PAP lub CHAP',
 'parentclass' => 'Klasa nadrzędna',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index 32f6f993d..9c88b835b 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1365,6 +1365,7 @@
 'pakfire uninstall package' => 'Вы собираетесь удалить следующие пакеты: ',
 'pakfire update daily' => 'Ежедневный поиск обновлений:',
 'pakfire updates' => 'Доступное обновление:',
+'pakfire upgrade' => 'Апгрейд',
 'pakfire working' => 'Pakfire работает ... Пожалуйста дождитесь успешного завершения процедуры.',
 'pap or chap' => 'PAP или CHAP',
 'parentclass' => 'Родительский класс',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 624f6eec5..93fb8e4cf 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1874,6 +1874,7 @@
 'pakfire uninstall package' => 'Aşağıdaki paketleri kaldırmak istiyorum: ',
 'pakfire update daily' => 'Günlük güncellemeleri ara:',
 'pakfire updates' => 'Mevcut Güncelleme:',
+'pakfire upgrade' => 'Yükselt',
 'pakfire working' => 'Pakfire çalışıyor ... Tüm işlemler başarıyla tamamlanana kadar bekleyin.',
 'pap or chap' => 'PAP veya CHAP',
 'parentclass' => 'Ana Sınıf',