diff --git a/doc/language_issues.de b/doc/language_issues.de
index ddbaaeabc..59b5d471e 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -630,6 +630,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 531bbf43f..05a014a55 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -685,6 +685,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 65bbc3fee..ce6d1ed36 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -660,6 +660,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 70202b115..8b98cabbe 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -614,6 +614,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 4b06a72fb..0aeacc33c 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -613,6 +613,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index addc6e645..e6308405b 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -538,6 +538,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 519276167..e333d530e 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -533,6 +533,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 6309ffbbd..7879eadd4 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -643,6 +643,7 @@ WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
+WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 5bb56f9a7..21d545849 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2016,6 +2016,7 @@
 'pakfire finished' => 'Pakfire ist fertig! Kehre zurück...',
 'pakfire finished error' => 'Pakfire ist fertig! Fehler sind aufgetreten, bitte überprüfen Sie die Log-Ausgabe, bevor Sie fortfahren.',
 'pakfire health check' => 'Mirrors auf Erreichbarkeit prüfen (Ping):',
+'pakfire install' => 'Installieren',
 'pakfire install description' => 'Wählen Sie ein oder mehrere Pakete zur Installation aus und drücken Sie auf das plus-Symbol.',
 'pakfire install package' => 'Sie möchten folgende Pakete installieren: ',
 'pakfire installed addons' => 'Installierte Add-ons:',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 50b265c80..90ea4d4a1 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2082,6 +2082,7 @@
 'pakfire finished' => 'Pakfire has finished! Returning...',
 'pakfire finished error' => 'Pakfire has finished! Errors occurred, please check the log output before proceeding.',
 'pakfire health check' => 'Check if mirror is reachable (ping):',
+'pakfire install' => 'Install',
 'pakfire install description' => 'Please choose one or more items from the list below and click the plus to install.',
 'pakfire install package' => 'You want to install the following packages: ',
 'pakfire installed addons' => 'Installed Add-ons:',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index 627a3ae93..81f282d77 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -2079,6 +2079,7 @@
 'pakfire finished' => '¡Pakfire ha terminado! Volviendo...',
 'pakfire finished error' => '¡Pakfire ha terminado! Ocurrieron errores, verifique la salida del registro antes de continuar.',
 'pakfire health check' => 'Verificar disponibilidad del espejo (ping):',
+'pakfire install' => 'Instalar',
 'pakfire install description' => 'Por favor elija uno o más elementos de la siguiente lista y haga click en el signo + para instalar',
 'pakfire install package' => 'Ud. desea instalar los siguientes paquetes:',
 'pakfire installed addons' => 'Complementos instalados:',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 438d98a8e..2cbc2d4a3 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2077,6 +2077,7 @@
 'pakfire finished' => 'Pakfire a fini ! Retour...',
 'pakfire finished error' => 'Pakfire a fini ! Des erreurs se sont produites, veuillez vérifier les rapports système des journaux avant de continuer.',
 'pakfire health check' => 'Vérifier si le miroir est accessible (ping) :',
+'pakfire install' => 'Installer',
 'pakfire install description' => 'Veuillez choisir un ou plusieurs modules dans la liste ci-dessous<br>et cliquer sur le signe PLUS pour le(s) installer.',
 'pakfire install package' => 'Vous souhaitez installer le(s) module(s) suivant(s) : ',
 'pakfire installed addons' => 'Modules installés :',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 106ec40b5..dc6e93511 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1715,6 +1715,7 @@
 'pakfire core update auto' => 'Install core and addon updates automatically:',
 'pakfire core update level' => 'Core-Update-Level',
 'pakfire health check' => 'Controllare se il mirror è raggiungibile (ping):',
+'pakfire install' => 'Installare',
 'pakfire install description' => 'Si prega di scegliere uno o più elementi dalla lista qui sotto e fai clic sul segno più per installare.',
 'pakfire install package' => 'You want to install the following packages: ',
 'pakfire installed addons' => 'Addons installati:',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index a00e06a67..aee740675 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1690,6 +1690,7 @@
 'pakfire core update auto' => 'Installeer core- en extensie-updates automatisch:',
 'pakfire core update level' => 'Core-updateniveau',
 'pakfire health check' => 'Controleer of de mirror bereikbaar is  (ping):',
+'pakfire install' => 'Installeren',
 'pakfire install description' => 'Kies een of meer items uit de lijst hieronder en klik op de plus om te installeren.',
 'pakfire install package' => 'U wilt de volgende pakketten installeren: ',
 'pakfire installed addons' => 'Geïnstalleerde add-ons:',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 22962a6d7..bc8b8b768 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1355,6 +1355,7 @@
 'pakfire core update auto' => 'Instaluj aktualizacje jądra automatycznie:',
 'pakfire core update level' => 'Aktualizacja jądra',
 'pakfire health check' => 'Sprawdź czy mirror jest dostępny (ping):',
+'pakfire install' => 'Instaluj',
 'pakfire install description' => 'Proszę wybrać jedną lub kilka pozycji z poniższej listy, a następnie kliknąć plus aby zainstalować.',
 'pakfire install package' => 'Zamierzasz zainstalować następujące pakiety: ',
 'pakfire installed addons' => 'Zainstalowane dodatki:',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index 9c88b835b..450240cf0 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1350,6 +1350,7 @@
 'pakfire core update auto' => 'Устанавливать обновления ядра и аддонов автоматически:',
 'pakfire core update level' => 'Уровень обновления системы',
 'pakfire health check' => 'Пинговать зеркало на доступность:',
+'pakfire install' => 'Установить',
 'pakfire install description' => 'Пожалуйста, укажите один или несколько элементов в списке ниже и нажмите плюсик для установки.',
 'pakfire install package' => 'Вы собираетесь установить следующие пакеты: ',
 'pakfire installed addons' => 'Установленные Аддоны:',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 93fb8e4cf..433509171 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1859,6 +1859,7 @@
 'pakfire core update auto' => 'Otomatik olarak çekirdek ve eklenti güncelleştirmelerini yükle:',
 'pakfire core update level' => 'Çekirdek-Güncelleme-Seviyesi',
 'pakfire health check' => 'Yansımanın ulaşılabilir olup olmadığını kontrol et (ping):',
+'pakfire install' => 'Yükle',
 'pakfire install description' => 'Aşağıdaki listeden bir veya daha fazla öğeyi seçtikten sonra eklemek için artı simgesine tıklayınız.',
 'pakfire install package' => 'Aşağıdaki paketleri yüklemek istediniz: ',
 'pakfire installed addons' => 'Kurulu eklentiler:',