diff --git a/doc/language_issues.de b/doc/language_issues.de
index 59b5d471e..aa1afb3a7 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -631,6 +631,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 05a014a55..168d41d06 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -686,6 +686,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index ce6d1ed36..cb03fc594 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -661,6 +661,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.it b/doc/language_issues.it
index ba722e34e..e7326a41b 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -615,6 +615,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 0aeacc33c..66970c39a 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -614,6 +614,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index e6308405b..ac5daf4f9 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -539,6 +539,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index e333d530e..810e4fa31 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -534,6 +534,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 7879eadd4..d33dddd93 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -644,6 +644,7 @@ WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 6582aba17..3816a614c 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2026,6 +2026,7 @@
 'pakfire last serverlist update' => 'Letztes Serverlisten Update ist',
 'pakfire last update' => 'Letztes Update ist',
 'pakfire possible dependency' => ' Möglicherweise haben diese Pakete Abhängigkeiten, d.h. andere Pakete müssen zusätzlich installiert werden. Dazu sehen Sie unten eine Liste.',
+'pakfire refresh list' => 'Liste aktualisieren',
 'pakfire register' => 'Registrierung am Pakfire-Server:',
 'pakfire return' => 'Zurück zu Pakfire',
 'pakfire system state' => 'System Status',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index a97cb0376..f3590b264 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2092,6 +2092,7 @@
 'pakfire last serverlist update' => 'Last server list update made',
 'pakfire last update' => 'Last update made',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
+'pakfire refresh list' => 'Refresh List',
 'pakfire register' => 'Register at pakfire-server:',
 'pakfire return' => 'Return to Pakfire',
 'pakfire system state' => 'System Status',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index 992218f35..c8a60a409 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -2089,6 +2089,7 @@
 'pakfire last serverlist update' => 'Última lista de actualización de servidor hecha',
 'pakfire last update' => 'Última actualización realizada',
 'pakfire possible dependency' => 'Puede haber paquetes con dependencias, aquí está una lista de paquetes que necesitan ser instalados.',
+'pakfire refresh list' => 'Refrescar Lista',
 'pakfire register' => 'Registrar en el servidor pakfire:',
 'pakfire return' => 'Regresar a Pakfire',
 'pakfire system state' => 'Estado del sistema',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index e25846864..3e53bf4df 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2087,6 +2087,7 @@
 'pakfire last serverlist update' => 'Dernière mise à jour de la liste des serveurs : ',
 'pakfire last update' => 'Dernière mise à jour : ',
 'pakfire possible dependency' => 'Il y a peut-être des dépendances, voici la liste des paquets qu\'il faut (dés)installer.',
+'pakfire refresh list' => 'Actualiser la Liste',
 'pakfire register' => 'S\'inscrire au serveur pakfire :',
 'pakfire return' => 'Retour à Pakfire',
 'pakfire system state' => 'Statut système PakFire ',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 626ccc1d4..b74028c9e 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1724,6 +1724,7 @@
 'pakfire last serverlist update' => 'Ultimo aggiornamento della lista server',
 'pakfire last update' => 'Ultimo aggiornamento di sistema effettuato',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
+'pakfire refresh list' => 'Aggiorna le Liste',
 'pakfire register' => 'Registrati sul pakfire-server:',
 'pakfire system state' => 'Stato del Sistema',
 'pakfire uninstall all' => 'Vuoi disinstallare i seguenti pacchetti?',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 16514bc7d..30afc02ee 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1699,6 +1699,7 @@
 'pakfire last serverlist update' => 'Laatste serverlijst update gemaakt',
 'pakfire last update' => 'Laatste update gemaakt',
 'pakfire possible dependency' => ' Er kunnen pakketafhankelijkheden zijn, hier is een lijst met pakketten die moeten worden geïnstalleerd.',
+'pakfire refresh list' => 'Ververs Lijst',
 'pakfire register' => 'Registreer bij de pakfire-server:',
 'pakfire system state' => 'Systeemstatus',
 'pakfire uninstall all' => 'Wilt u de volgende pakketten verwijderen?',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 34dec2261..5f14c231a 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1364,6 +1364,7 @@
 'pakfire last serverlist update' => 'Ostatnia aktualizacja listy serwerów:',
 'pakfire last update' => 'Ostatnia aktualizacja:',
 'pakfire possible dependency' => ' Pewne pakiety mogą wymagać zależności. Oto lista pakietów które muszę zostać zainstalowane.',
+'pakfire refresh list' => 'Odśwież Listę',
 'pakfire register' => 'Register at pakfire-server:',
 'pakfire system state' => 'Status systemu',
 'pakfire uninstall all' => 'Czy chcesz odinstalować następujące pakiety?',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index 74bdf2f3c..a0c5490ed 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1359,6 +1359,7 @@
 'pakfire last serverlist update' => 'Обновление серверных списков',
 'pakfire last update' => 'Последнее обновление',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
+'pakfire refresh list' => 'Обновить Список',
 'pakfire register' => 'Регистрировать на pakfire-сервере:',
 'pakfire system state' => 'Статус системы',
 'pakfire uninstall all' => 'Вы хотите удалить следующие пакеты?',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 395fbe791..875b02c6c 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1868,6 +1868,7 @@
 'pakfire last serverlist update' => 'Son sunucu listesi güncellemesi',
 'pakfire last update' => 'Son güncelleme',
 'pakfire possible dependency' => ' Yüklenemesi gereken paketlerin yüklenebilmesi için buradaki paketlere ihtiyaç duyulabilir.',
+'pakfire refresh list' => 'Listeyi Yenile',
 'pakfire register' => 'Pakfire sunucusuna kayıt:',
 'pakfire system state' => 'Sistem durumu',
 'pakfire uninstall all' => 'Aşağıdaki paketleri kaldırmak istiyor musunuz?',