diff --git a/doc/language_issues.de b/doc/language_issues.de
index aa1afb3a7..603d514df 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -629,10 +629,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependecies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependecies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvdeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 168d41d06..993d81e93 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -684,10 +684,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index cb03fc594..784c45715 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -659,10 +659,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.it b/doc/language_issues.it
index e7326a41b..d22bc1dc2 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -613,10 +613,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 66970c39a..a2be57620 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -612,10 +612,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index ac5daf4f9..8a30df79b 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -537,10 +537,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 810e4fa31..f98fb76fe 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -532,10 +532,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index d33dddd93..29a3aa056 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -642,10 +642,13 @@ WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
 WARNING: translation string unused: pakfire core update auto
+WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
 WARNING: translation string unused: pakfire install
+WARNING: translation string unused: pakfire no dependencies found
 WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
+WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire upgrade
diff --git a/doc/language_missings b/doc/language_missings
index 53e6f224d..58191cfe3 100644
--- a/doc/language_missings
+++ b/doc/language_missings
@@ -82,6 +82,9 @@
 < oops something went wrong
 < optional
 < ovpn roadwarrior server
+< pakfire dependencies found
+< pakfire no dependencies found
+< pakfire resolvedeps wait
 < quick control
 < random number generator daemon
 < regenerate host certificate
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 3816a614c..5e6fd5fba 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2013,6 +2013,7 @@
 'pakfire configuration' => 'Pakfire Konfiguration',
 'pakfire core update auto' => 'Core- und Add-on-Updates automatisch installieren:',
 'pakfire core update level' => 'Core-Update-Level',
+'pakfire dependecies found' => 'Abhängigkeiten gefunden:',
 'pakfire finished' => 'Pakfire ist fertig! Kehre zurück...',
 'pakfire finished error' => 'Pakfire ist fertig! Fehler sind aufgetreten, bitte überprüfen Sie die Log-Ausgabe, bevor Sie fortfahren.',
 'pakfire health check' => 'Mirrors auf Erreichbarkeit prüfen (Ping):',
@@ -2025,9 +2026,11 @@
 'pakfire last package update' => 'Letztes Paketlisten Update ist',
 'pakfire last serverlist update' => 'Letztes Serverlisten Update ist',
 'pakfire last update' => 'Letztes Update ist',
+'pakfire no dependecies found' => 'Keine Abhängigkeiten gefunden.',
 'pakfire possible dependency' => ' Möglicherweise haben diese Pakete Abhängigkeiten, d.h. andere Pakete müssen zusätzlich installiert werden. Dazu sehen Sie unten eine Liste.',
 'pakfire refresh list' => 'Liste aktualisieren',
 'pakfire register' => 'Registrierung am Pakfire-Server:',
+'pakfire resolvdeps wait' => 'Prüfen auf Abhängigkeiten, bitte warten...',
 'pakfire return' => 'Zurück zu Pakfire',
 'pakfire system state' => 'System Status',
 'pakfire tree' => 'Zu verwendendes Pakfire-Repository:',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index f3590b264..707647124 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2079,6 +2079,7 @@
 'pakfire configuration' => 'Pakfire Configuration',
 'pakfire core update auto' => 'Install core and add-on updates automatically:',
 'pakfire core update level' => 'Core-Update-Level',
+'pakfire dependencies found' => 'Dependencies found:',
 'pakfire finished' => 'Pakfire has finished! Returning...',
 'pakfire finished error' => 'Pakfire has finished! Errors occurred, please check the log output before proceeding.',
 'pakfire health check' => 'Check if mirror is reachable (ping):',
@@ -2091,9 +2092,11 @@
 'pakfire last package update' => 'Last packages list update made',
 'pakfire last serverlist update' => 'Last server list update made',
 'pakfire last update' => 'Last update made',
+'pakfire no dependencies found' => 'No dependencies found.',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
 'pakfire refresh list' => 'Refresh List',
 'pakfire register' => 'Register at pakfire-server:',
+'pakfire resolvedeps wait' => 'Checking for dependencies, please wait...',
 'pakfire return' => 'Return to Pakfire',
 'pakfire system state' => 'System Status',
 'pakfire tree' => 'Repository',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index c8a60a409..f4da56f82 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -2076,6 +2076,7 @@
 'pakfire configuration' => 'Configuración de Pakfire',
 'pakfire core update auto' => 'Instar actualizaciones principales y complementarias automáticamente:',
 'pakfire core update level' => 'Nivel de actualización del núcleo',
+'pakfire dependencies found' => 'Dependencias encontradas:',
 'pakfire finished' => '¡Pakfire ha terminado! Volviendo...',
 'pakfire finished error' => '¡Pakfire ha terminado! Ocurrieron errores, verifique la salida del registro antes de continuar.',
 'pakfire health check' => 'Verificar disponibilidad del espejo (ping):',
@@ -2088,9 +2089,11 @@
 'pakfire last package update' => 'Última lista de actualización de paquetes hecha',
 'pakfire last serverlist update' => 'Última lista de actualización de servidor hecha',
 'pakfire last update' => 'Última actualización realizada',
+'pakfire no dependencies found' => 'No se encontraron dependencias.',
 'pakfire possible dependency' => 'Puede haber paquetes con dependencias, aquí está una lista de paquetes que necesitan ser instalados.',
 'pakfire refresh list' => 'Refrescar Lista',
 'pakfire register' => 'Registrar en el servidor pakfire:',
+'pakfire resolvedeps wait' => 'Buscando dependencias, por favor espere...',
 'pakfire return' => 'Regresar a Pakfire',
 'pakfire system state' => 'Estado del sistema',
 'pakfire tree' => 'Repositorio',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 3e53bf4df..007dd14b2 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2074,6 +2074,7 @@
 'pakfire configuration' => 'Configuration Pakfire',
 'pakfire core update auto' => 'Installer automatiquement les mises à jour du noyau et des modules :',
 'pakfire core update level' => 'Version de mise à jour du noyau ',
+'pakfire dependencies found' => 'Dépendances trouvées :',
 'pakfire finished' => 'Pakfire a fini ! Retour...',
 'pakfire finished error' => 'Pakfire a fini ! Des erreurs se sont produites, veuillez vérifier les rapports système des journaux avant de continuer.',
 'pakfire health check' => 'Vérifier si le miroir est accessible (ping) :',
@@ -2086,9 +2087,11 @@
 'pakfire last package update' => 'Dernière mise à jour de la liste des paquets : ',
 'pakfire last serverlist update' => 'Dernière mise à jour de la liste des serveurs : ',
 'pakfire last update' => 'Dernière mise à jour : ',
+'pakfire no dependencies found' => 'Aucune dépendance trouvée.',
 'pakfire possible dependency' => 'Il y a peut-être des dépendances, voici la liste des paquets qu\'il faut (dés)installer.',
 'pakfire refresh list' => 'Actualiser la Liste',
 'pakfire register' => 'S\'inscrire au serveur pakfire :',
+'pakfire resolvedeps wait' => 'Vérification des dépendances, veuillez patienter...',
 'pakfire return' => 'Retour à Pakfire',
 'pakfire system state' => 'Statut système PakFire ',
 'pakfire tree' => 'Dépôt officiel',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index b74028c9e..0321ed77c 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1714,6 +1714,7 @@
 'pakfire configuration' => 'Configurazione Pakfire',
 'pakfire core update auto' => 'Install core and addon updates automatically:',
 'pakfire core update level' => 'Core-Update-Level',
+'pakfire dependencies found' => 'Dipendenze trovate:',
 'pakfire health check' => 'Controllare se il mirror è raggiungibile (ping):',
 'pakfire install' => 'Installare',
 'pakfire install description' => 'Si prega di scegliere uno o più elementi dalla lista qui sotto e fai clic sul segno più per installare.',
@@ -1723,9 +1724,11 @@
 'pakfire last package update' => 'Ultimo aggiornamento della lista pacchetti',
 'pakfire last serverlist update' => 'Ultimo aggiornamento della lista server',
 'pakfire last update' => 'Ultimo aggiornamento di sistema effettuato',
+'pakfire no dependencies found' => 'Nessuna dipendenza trovata.',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
 'pakfire refresh list' => 'Aggiorna le Liste',
 'pakfire register' => 'Registrati sul pakfire-server:',
+'pakfire resolvedeps wait' => 'Controllo delle dipendenze, attendere prego...',
 'pakfire system state' => 'Stato del Sistema',
 'pakfire uninstall all' => 'Vuoi disinstallare i seguenti pacchetti?',
 'pakfire uninstall description' => 'Si prega di scegliere uno o più elementi dalla lista qui sotto e fare clic sul meno per disinstallare..',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 30afc02ee..8aad34fa9 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1689,6 +1689,7 @@
 'pakfire configuration' => 'Pakfire configuratie',
 'pakfire core update auto' => 'Installeer core- en extensie-updates automatisch:',
 'pakfire core update level' => 'Core-updateniveau',
+'pakfire dependencies found' => 'Afhankelijkheden gevonden:',
 'pakfire health check' => 'Controleer of de mirror bereikbaar is  (ping):',
 'pakfire install' => 'Installeren',
 'pakfire install description' => 'Kies een of meer items uit de lijst hieronder en klik op de plus om te installeren.',
@@ -1698,9 +1699,11 @@
 'pakfire last package update' => 'Laatste pakketlijst update gemaakt',
 'pakfire last serverlist update' => 'Laatste serverlijst update gemaakt',
 'pakfire last update' => 'Laatste update gemaakt',
+'pakfire no dependencies found' => 'Geen afhankelijkheden gevonden.',
 'pakfire possible dependency' => ' Er kunnen pakketafhankelijkheden zijn, hier is een lijst met pakketten die moeten worden geïnstalleerd.',
 'pakfire refresh list' => 'Ververs Lijst',
 'pakfire register' => 'Registreer bij de pakfire-server:',
+'pakfire resolvedeps wait' => 'Controleren op afhankelijkheden, even geduld...',
 'pakfire system state' => 'Systeemstatus',
 'pakfire uninstall all' => 'Wilt u de volgende pakketten verwijderen?',
 'pakfire uninstall description' => 'Kies een of meer items uit de lijst hieronder en klik op de min om te deinstalleren.',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 5f14c231a..e2e3f7c14 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1354,6 +1354,7 @@
 'pakfire configuration' => 'Konfiguracja Pakfire',
 'pakfire core update auto' => 'Instaluj aktualizacje jądra automatycznie:',
 'pakfire core update level' => 'Aktualizacja jądra',
+'pakfire dependencies found' => 'Znaleziono zależności:',
 'pakfire health check' => 'Sprawdź czy mirror jest dostępny (ping):',
 'pakfire install' => 'Instaluj',
 'pakfire install description' => 'Proszę wybrać jedną lub kilka pozycji z poniższej listy, a następnie kliknąć plus aby zainstalować.',
@@ -1363,9 +1364,11 @@
 'pakfire last package update' => 'Ostatnia aktualizacja listy pakietów:',
 'pakfire last serverlist update' => 'Ostatnia aktualizacja listy serwerów:',
 'pakfire last update' => 'Ostatnia aktualizacja:',
+'pakfire no dependencies found' => 'Nie znaleziono zależności.',
 'pakfire possible dependency' => ' Pewne pakiety mogą wymagać zależności. Oto lista pakietów które muszę zostać zainstalowane.',
 'pakfire refresh list' => 'Odśwież Listę',
 'pakfire register' => 'Register at pakfire-server:',
+'pakfire resolvedeps wait' => 'Sprawdzanie zależności, proszę czekać...',
 'pakfire system state' => 'Status systemu',
 'pakfire uninstall all' => 'Czy chcesz odinstalować następujące pakiety?',
 'pakfire uninstall description' => 'Proszę wybrać jedną lub kilka pozycji z poniższej listy, a następnie kliknąć minus aby odinstalować.',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index a0c5490ed..f9f2158e6 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1349,6 +1349,7 @@
 'pakfire configuration' => 'Pakfire Configuration',
 'pakfire core update auto' => 'Устанавливать обновления ядра и аддонов автоматически:',
 'pakfire core update level' => 'Уровень обновления системы',
+'pakfire dependencies found' => 'Зависимости найдены:',
 'pakfire health check' => 'Пинговать зеркало на доступность:',
 'pakfire install' => 'Установить',
 'pakfire install description' => 'Пожалуйста, укажите один или несколько элементов в списке ниже и нажмите плюсик для установки.',
@@ -1358,9 +1359,11 @@
 'pakfire last package update' => 'Обновление списка пакетов',
 'pakfire last serverlist update' => 'Обновление серверных списков',
 'pakfire last update' => 'Последнее обновление',
+'pakfire no dependencies found' => 'Зависимости не найдены.',
 'pakfire possible dependency' => ' There may be depending packages, here is a list of packages that need to be installed.',
 'pakfire refresh list' => 'Обновить Список',
 'pakfire register' => 'Регистрировать на pakfire-сервере:',
+'pakfire resolvedeps wait' => 'Проверка зависимостей, пожалуйста, подождите...',
 'pakfire system state' => 'Статус системы',
 'pakfire uninstall all' => 'Вы хотите удалить следующие пакеты?',
 'pakfire uninstall description' => 'Пожалуйста, укажите один или несколько элементов в списке ниже и нажмите минус для удаления.',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 875b02c6c..5f74de08c 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1858,6 +1858,7 @@
 'pakfire configuration' => 'Pakfire yapılandırması',
 'pakfire core update auto' => 'Otomatik olarak çekirdek ve eklenti güncelleştirmelerini yükle:',
 'pakfire core update level' => 'Çekirdek-Güncelleme-Seviyesi',
+'pakfire dependencies found' => 'Bağımlılıklar bulundu:',
 'pakfire health check' => 'Yansımanın ulaşılabilir olup olmadığını kontrol et (ping):',
 'pakfire install' => 'Yükle',
 'pakfire install description' => 'Aşağıdaki listeden bir veya daha fazla öğeyi seçtikten sonra eklemek için artı simgesine tıklayınız.',
@@ -1867,9 +1868,11 @@
 'pakfire last package update' => 'Son paket listesi güncellemesi',
 'pakfire last serverlist update' => 'Son sunucu listesi güncellemesi',
 'pakfire last update' => 'Son güncelleme',
+'pakfire no dependencies found' => 'Hiçbir bağımlılık bulunamadı.',
 'pakfire possible dependency' => ' Yüklenemesi gereken paketlerin yüklenebilmesi için buradaki paketlere ihtiyaç duyulabilir.',
 'pakfire refresh list' => 'Listeyi Yenile',
 'pakfire register' => 'Pakfire sunucusuna kayıt:',
+'pakfire resolvedeps wait' => 'Bağımlılıklar kontrol ediliyor, lütfen bekleyin...',
 'pakfire system state' => 'Sistem durumu',
 'pakfire uninstall all' => 'Aşağıdaki paketleri kaldırmak istiyor musunuz?',
 'pakfire uninstall description' => 'Aşağıdaki listeden bir veya daha fazla öğeyi seçtikten sonra kaldırmak için eksi simgesine tıklayınız.',