diff --git a/doc/language_issues.de b/doc/language_issues.de
index 603d514df..d852af2bf 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -628,6 +628,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependecies found
 WARNING: translation string unused: pakfire health check
@@ -638,6 +639,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvdeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 993d81e93..02c07c6fd 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -683,6 +683,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -693,6 +694,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 784c45715..bf1a14e7e 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -658,6 +658,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -668,6 +669,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.it b/doc/language_issues.it
index d22bc1dc2..3ee853b2d 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -612,6 +612,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -622,6 +623,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index a2be57620..0eeac4cf1 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -611,6 +611,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -621,6 +622,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index 8a30df79b..0c3135d3a 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -536,6 +536,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -546,6 +547,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index f98fb76fe..678da16f8 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -531,6 +531,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -541,6 +542,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 29a3aa056..ef2745f22 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -641,6 +641,7 @@ WARNING: translation string unused: ovpn_processprioVH
 WARNING: translation string unused: ovpnstatus log
 WARNING: translation string unused: ovpnsys log
 WARNING: translation string unused: package failed to install
+WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
@@ -651,6 +652,7 @@ WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
 WARNING: translation string unused: pakfire updates
+WARNING: translation string unused: pakfire updating
 WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 5e6fd5fba..9a7d093ff 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2011,6 +2011,7 @@
 'pakfire already busy' => 'Pakfire führt bereits eine Aufgabe aus. Bitte versuchen Sie es später erneut.',
 'pakfire available addons' => 'Verfügbare Add-ons:',
 'pakfire configuration' => 'Pakfire Konfiguration',
+'pakfire confirm updates' => 'Möchten Sie alle Updates installieren?',
 'pakfire core update auto' => 'Core- und Add-on-Updates automatisch installieren:',
 'pakfire core update level' => 'Core-Update-Level',
 'pakfire dependecies found' => 'Abhängigkeiten gefunden:',
@@ -2042,6 +2043,7 @@
 'pakfire uninstall package' => 'Sie möchten folgende Pakete deinstallieren: ',
 'pakfire update daily' => 'Täglich nach Updates suchen:',
 'pakfire updates' => 'Verfügbare Updates',
+'pakfire updating' => 'Aktualisierung der pakfire Datenbank, bitte warten...',
 'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire führt gerade eine Aufgabe aus... Bitte warten Sie, bis diese erfolgreich beendet wurde.',
 'pap or chap' => 'PAP oder CHAP',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 707647124..06db0cab1 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2077,6 +2077,7 @@
 'pakfire already busy' => 'Pakfire is already performing a task. Please try again later.',
 'pakfire available addons' => 'Available Add-ons:',
 'pakfire configuration' => 'Pakfire Configuration',
+'pakfire confirm updates' => 'Do you want to install all updates?',
 'pakfire core update auto' => 'Install core and add-on updates automatically:',
 'pakfire core update level' => 'Core-Update-Level',
 'pakfire dependencies found' => 'Dependencies found:',
@@ -2108,6 +2109,7 @@
 'pakfire uninstall package' => 'You want to uninstall the following packages: ',
 'pakfire update daily' => 'Search for updates daily:',
 'pakfire updates' => 'Available Updates',
+'pakfire updating' => 'Updating pakfire database, please wait...',
 'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire is working ... Please wait until all operations have completed successfully.',
 'pap or chap' => 'PAP or CHAP',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index f4da56f82..d1bd54d88 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -2074,6 +2074,7 @@
 'pakfire already busy' => 'Pakfire ya está realizando una tarea. Por favor, inténtelo de nuevo más tarde.',
 'pakfire available addons' => 'Complementos disponibles:',
 'pakfire configuration' => 'Configuración de Pakfire',
+'pakfire confirm updates' => '¿Desea instalar todas las actualizaciones?',
 'pakfire core update auto' => 'Instar actualizaciones principales y complementarias automáticamente:',
 'pakfire core update level' => 'Nivel de actualización del núcleo',
 'pakfire dependencies found' => 'Dependencias encontradas:',
@@ -2105,6 +2106,7 @@
 'pakfire uninstall package' => 'Desea desinstalar los siguientes paquetes:',
 'pakfire update daily' => 'Buscar actualizaciones diariamente:',
 'pakfire updates' => 'Actualizaciones Disponibles',
+'pakfire updating' => 'Actualizando base de datos pakfire, por favor espere...',
 'pakfire upgrade' => 'Actualizar',
 'pakfire working' => 'Pakfire está trabajando… Por favor espere hasta que todas las operaciones se hallan completado exitosamente.',
 'pap or chap' => 'PAP o CHAP',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 007dd14b2..0513d1395 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2072,6 +2072,7 @@
 'pakfire already busy' => 'Pakfire est déjà en train d\'effectuer une tâche. Veuillez réessayer plus tard.',
 'pakfire available addons' => 'Modules disponibles :',
 'pakfire configuration' => 'Configuration Pakfire',
+'pakfire confirm updates' => 'Voulez-vous installer toutes les mises à jour ?',
 'pakfire core update auto' => 'Installer automatiquement les mises à jour du noyau et des modules :',
 'pakfire core update level' => 'Version de mise à jour du noyau ',
 'pakfire dependencies found' => 'Dépendances trouvées :',
@@ -2103,6 +2104,7 @@
 'pakfire uninstall package' => 'Vous souhaitez désinstaller le(s) module(s) suivant(s) : ',
 'pakfire update daily' => 'Rechercher des mises à jour quotidiennes :',
 'pakfire updates' => 'Mises à jour Disponibles',
+'pakfire updating' => 'Mise à jour de la base de données pakfire, veuillez patienter...',
 'pakfire upgrade' => 'Améliorer',
 'pakfire working' => 'Pakfire est en cours de traitement... Veuillez attendre que tout soit terminé.',
 'pap or chap' => 'PAP ou CHAP',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 0321ed77c..18fe1703e 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -1712,6 +1712,7 @@
 'pakfire ago' => 'ago.',
 'pakfire available addons' => 'Addons disponibili:',
 'pakfire configuration' => 'Configurazione Pakfire',
+'pakfire confirm updates' => 'Vuoi installare tutti gli aggiornamenti?',
 'pakfire core update auto' => 'Install core and addon updates automatically:',
 'pakfire core update level' => 'Core-Update-Level',
 'pakfire dependencies found' => 'Dipendenze trovate:',
@@ -1735,6 +1736,7 @@
 'pakfire uninstall package' => 'You want to uninstall the following packages: ',
 'pakfire update daily' => 'Ricerca gli aggiornamenti una volta al giorno:',
 'pakfire updates' => 'Aggiornamenti Disponibili',
+'pakfire updating' => 'Aggiornamento del database Pakfire, attendere prego...',
 'pakfire upgrade' => 'Aggiornamento',
 'pakfire working' => 'Pakfire sta lavorando... Per favore attendi il termine delle operazioni',
 'pap or chap' => 'PAP or CHAP',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 8aad34fa9..c844c9613 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1687,6 +1687,7 @@
 'pakfire ago' => 'geleden.',
 'pakfire available addons' => 'Beschikbare add-ons:',
 'pakfire configuration' => 'Pakfire configuratie',
+'pakfire confirm updates' => 'Wilt u alle updates installeren?',
 'pakfire core update auto' => 'Installeer core- en extensie-updates automatisch:',
 'pakfire core update level' => 'Core-updateniveau',
 'pakfire dependencies found' => 'Afhankelijkheden gevonden:',
@@ -1710,6 +1711,7 @@
 'pakfire uninstall package' => 'U wilt de volgende pakketten deinstalleren: ',
 'pakfire update daily' => 'Zoek dagelijks naar updates:',
 'pakfire updates' => 'Beschikbare Updates',
+'pakfire updating' => 'Pakfire-database wordt bijgewerkt, even geduld...',
 'pakfire upgrade' => 'Upgrade',
 'pakfire working' => 'Pakfire is bezig ... Wacht a.u.b. totdat alle handelingen succesvol zijn afgerond.',
 'pap or chap' => 'PAP of CHAP',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index e2e3f7c14..8e3ca59cb 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1352,6 +1352,7 @@
 'pakfire ago' => 'temu.',
 'pakfire available addons' => 'Dostępne dodatki:',
 'pakfire configuration' => 'Konfiguracja Pakfire',
+'pakfire confirm updates' => 'Czy chcesz zainstalować wszystkie aktualizacje?',
 'pakfire core update auto' => 'Instaluj aktualizacje jądra automatycznie:',
 'pakfire core update level' => 'Aktualizacja jądra',
 'pakfire dependencies found' => 'Znaleziono zależności:',
@@ -1375,6 +1376,7 @@
 'pakfire uninstall package' => 'Zamierzasz odinstalować następujące pakiety: ',
 'pakfire update daily' => 'Szukaj aktualizacje codziennie:',
 'pakfire updates' => 'Dostępne Aktualizacje',
+'pakfire updating' => 'Aktualizacja bazy danych pakfire, proszę czekać...',
 'pakfire upgrade' => 'Aktualizacja',
 'pakfire working' => 'Pakfire pracuje ... Proszę poczekać na zakończenie wszystkich operacji.',
 'pap or chap' => 'PAP lub CHAP',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index f9f2158e6..2695954dd 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1347,6 +1347,7 @@
 'pakfire ago' => 'назад.',
 'pakfire available addons' => 'Доступные Аддоны:',
 'pakfire configuration' => 'Pakfire Configuration',
+'pakfire confirm updates' => 'Вы хотите установить все обновления?',
 'pakfire core update auto' => 'Устанавливать обновления ядра и аддонов автоматически:',
 'pakfire core update level' => 'Уровень обновления системы',
 'pakfire dependencies found' => 'Зависимости найдены:',
@@ -1370,6 +1371,7 @@
 'pakfire uninstall package' => 'Вы собираетесь удалить следующие пакеты: ',
 'pakfire update daily' => 'Ежедневный поиск обновлений:',
 'pakfire updates' => 'Доступное Обновление',
+'pakfire updating' => 'Обновление базы данных pakfire, пожалуйста, подождите...',
 'pakfire upgrade' => 'Апгрейд',
 'pakfire working' => 'Pakfire работает ... Пожалуйста дождитесь успешного завершения процедуры.',
 'pap or chap' => 'PAP или CHAP',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 5f74de08c..85dc94f91 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -1856,6 +1856,7 @@
 'pakfire ago' => 'önce yapıldı.',
 'pakfire available addons' => 'Mevcut eklentiler:',
 'pakfire configuration' => 'Pakfire yapılandırması',
+'pakfire confirm updates' => 'Tüm güncellemeleri yüklemek istiyor musunuz?',
 'pakfire core update auto' => 'Otomatik olarak çekirdek ve eklenti güncelleştirmelerini yükle:',
 'pakfire core update level' => 'Çekirdek-Güncelleme-Seviyesi',
 'pakfire dependencies found' => 'Bağımlılıklar bulundu:',
@@ -1879,6 +1880,7 @@
 'pakfire uninstall package' => 'Aşağıdaki paketleri kaldırmak istiyorum: ',
 'pakfire update daily' => 'Günlük güncellemeleri ara:',
 'pakfire updates' => 'Mevcut Güncellemeler',
+'pakfire updating' => 'Pakfire veritabanı güncelleniyor, lütfen bekleyin...',
 'pakfire upgrade' => 'Yükselt',
 'pakfire working' => 'Pakfire çalışıyor ... Tüm işlemler başarıyla tamamlanana kadar bekleyin.',
 'pap or chap' => 'PAP veya CHAP',