diff --git a/doc/language_issues.de b/doc/language_issues.de
index d852af2bf..aeb37ccf7 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -130,6 +130,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup config floppy
 WARNING: translation string unused: backup configuration
@@ -424,6 +425,7 @@ WARNING: translation string unused: incoming
 WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -632,15 +634,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependecies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependecies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvdeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -851,6 +849,7 @@ WARNING: translation string unused: updxlrtr standard view
 WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
 WARNING: translation string unused: upload static key
diff --git a/doc/language_issues.en b/doc/language_issues.en
index 037fb45df..288aeda6e 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -326,7 +326,6 @@ WARNING: untranslated string: authentication = Authentication:
 WARNING: untranslated string: automatic = Automatic
 WARNING: untranslated string: autonomous system = Autonomous System
 WARNING: untranslated string: available = available
-WARNING: untranslated string: available updates = Available updates
 WARNING: untranslated string: average = Average
 WARNING: untranslated string: back = Back
 WARNING: untranslated string: backup = Backup
@@ -1082,7 +1081,6 @@ WARNING: untranslated string: incoming traffic in bytes per second = Incoming Tr
 WARNING: untranslated string: info messages = unknown string
 WARNING: untranslated string: init string = Init:
 WARNING: untranslated string: inodes = Index-Nodes
-WARNING: untranslated string: install = Install
 WARNING: untranslated string: instant update = Instant Update
 WARNING: untranslated string: integrity = Integrity:
 WARNING: untranslated string: interface = Interface
@@ -1458,6 +1456,7 @@ WARNING: untranslated string: pakfire configuration = Pakfire Configuration
 WARNING: untranslated string: pakfire core update level = Core-Update-Level
 WARNING: untranslated string: pakfire finished = Pakfire has finished! Returning...
 WARNING: untranslated string: pakfire finished error = Pakfire has finished! Errors occurred, please check the log output before proceeding.
+WARNING: untranslated string: pakfire install = Install
 WARNING: untranslated string: pakfire install description = Please choose one or more items from the list below and click the plus to install.
 WARNING: untranslated string: pakfire install package = You want to install the following packages: 
 WARNING: untranslated string: pakfire installed addons = Installed Add-ons:
@@ -1467,6 +1466,7 @@ WARNING: untranslated string: pakfire last package update = Last packages list u
 WARNING: untranslated string: pakfire last serverlist update = Last server list update made
 WARNING: untranslated string: pakfire last update = Last update made
 WARNING: untranslated string: pakfire possible dependency =  There may be depending packages, here is a list of packages that need to be installed.
+WARNING: untranslated string: pakfire refresh list = Refresh List
 WARNING: untranslated string: pakfire return = Return to Pakfire
 WARNING: untranslated string: pakfire system state = System Status
 WARNING: untranslated string: pakfire tree = Repository
@@ -1476,6 +1476,8 @@ WARNING: untranslated string: pakfire tree unstable = Unstable
 WARNING: untranslated string: pakfire uninstall all = Do you want to uninstall the following packages?
 WARNING: untranslated string: pakfire uninstall description = Please choose one or more items from the list below and click the minus to uninstall.
 WARNING: untranslated string: pakfire uninstall package = You want to uninstall the following packages: 
+WARNING: untranslated string: pakfire updates = Available Updates
+WARNING: untranslated string: pakfire upgrade = Upgrade
 WARNING: untranslated string: pakfire working = Pakfire is working ... Please wait until all operations have completed successfully.
 WARNING: untranslated string: pap or chap = PAP or CHAP
 WARNING: untranslated string: parentclass = Parentclass
@@ -1873,7 +1875,6 @@ WARNING: untranslated string: updxlrtr web proxy service required = Web proxy se
 WARNING: untranslated string: updxlrtr week = one week
 WARNING: untranslated string: updxlrtr weekly = weekly
 WARNING: untranslated string: updxlrtr year = one year
-WARNING: untranslated string: upgrade = upgrade
 WARNING: untranslated string: uplink = Uplink
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: uplink speed = Uplink speed (kbit/sec)
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 02c07c6fd..c68e79292 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -132,6 +132,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -467,6 +468,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -687,15 +689,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -917,6 +915,7 @@ WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
 WARNING: translation string unused: updxlrtr used by
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload dh key
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index bf1a14e7e..e0d8cb1f4 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -135,6 +135,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -452,6 +453,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -662,15 +664,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -890,6 +888,7 @@ WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
 WARNING: translation string unused: updxlrtr used by
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
 WARNING: translation string unused: upload static key
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 3ee853b2d..e00d5c5c1 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -105,6 +105,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -418,6 +419,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -616,15 +618,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -842,6 +840,7 @@ WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
 WARNING: translation string unused: updxlrtr used by
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 0eeac4cf1..42fb6088d 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -105,6 +105,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -420,6 +421,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -615,15 +617,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -842,6 +840,7 @@ WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
 WARNING: translation string unused: updxlrtr used by
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index 0c3135d3a..e7ffefd71 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -100,6 +100,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -359,6 +360,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -540,15 +542,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -755,6 +753,7 @@ WARNING: translation string unused: updxlrtr invalid num of children
 WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 678da16f8..6ce1a3516 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -100,6 +100,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -355,6 +356,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -535,15 +537,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -750,6 +748,7 @@ WARNING: translation string unused: updxlrtr invalid num of children
 WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index ef2745f22..5cf3953ad 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -127,6 +127,7 @@ WARNING: translation string unused: apply
 WARNING: translation string unused: archive not exist
 WARNING: translation string unused: artist
 WARNING: translation string unused: attemps
+WARNING: translation string unused: available updates
 WARNING: translation string unused: avoid dod
 WARNING: translation string unused: backup archive
 WARNING: translation string unused: backup clear archive
@@ -444,6 +445,7 @@ WARNING: translation string unused: incorrect password
 WARNING: translation string unused: info
 WARNING: translation string unused: insert floppy
 WARNING: translation string unused: insert removable device
+WARNING: translation string unused: install
 WARNING: translation string unused: install new update
 WARNING: translation string unused: installed
 WARNING: translation string unused: installed updates
@@ -645,15 +647,11 @@ WARNING: translation string unused: pakfire confirm updates
 WARNING: translation string unused: pakfire core update auto
 WARNING: translation string unused: pakfire dependencies found
 WARNING: translation string unused: pakfire health check
-WARNING: translation string unused: pakfire install
 WARNING: translation string unused: pakfire no dependencies found
-WARNING: translation string unused: pakfire refresh list
 WARNING: translation string unused: pakfire register
 WARNING: translation string unused: pakfire resolvedeps wait
 WARNING: translation string unused: pakfire update daily
-WARNING: translation string unused: pakfire updates
 WARNING: translation string unused: pakfire updating
-WARNING: translation string unused: pakfire upgrade
 WARNING: translation string unused: password contains illegal characters
 WARNING: translation string unused: password crypting key
 WARNING: translation string unused: passwords must be at least 6 characters in length
@@ -871,6 +869,7 @@ WARNING: translation string unused: updxlrtr unknown
 WARNING: translation string unused: updxlrtr update information
 WARNING: translation string unused: updxlrtr update notification
 WARNING: translation string unused: updxlrtr used by
+WARNING: translation string unused: upgrade
 WARNING: translation string unused: upload fcdsl.o
 WARNING: translation string unused: upload file
 WARNING: translation string unused: upload new ruleset
diff --git a/html/cgi-bin/pakfire.cgi b/html/cgi-bin/pakfire.cgi
index 42c603c61..80aaf9a1c 100644
--- a/html/cgi-bin/pakfire.cgi
+++ b/html/cgi-bin/pakfire.cgi
@@ -302,7 +302,7 @@ END
 					<input type='hidden' name='INSPAKS' value='$cgiparams{'INSPAKS'}' />
 					<input type='hidden' name='FORCE' value='on' />
 					<input type='hidden' name='ACTION' value='install' />
-					<input type='image' alt='$Lang::tr{'install'}' title='$Lang::tr{'install'}' src='/images/go-next.png' />
+					<input type='image' alt='$Lang::tr{'pakfire install'}' title='$Lang::tr{'pakfire install'}' src='/images/go-next.png' />
 				</form>
 			</td>
 			<td align='left'>
@@ -380,7 +380,7 @@ if ("$pakfire_status{'RebootRequired'}" eq "yes") {
 
 print <<END;
 		<tr><td class="heading">$Lang::tr{'pakfire system state'}:</td>
-			<td class="heading">$Lang::tr{'available updates'}:</td></tr>
+			<td class="heading">$Lang::tr{'pakfire updates'}:</td></tr>
 
 		<tr><td><strong>$Lang::tr{'pakfire core update level'}: $pakfire_status{'Release'}</strong>
 				<hr>
@@ -392,7 +392,7 @@ print <<END;
 				</div>
 				<form method='post' action='$ENV{'SCRIPT_NAME'}'>
 					<input type='hidden' name='ACTION' value='update' />
-					<input type='submit' value='$Lang::tr{'calamaris refresh list'}' />
+					<input type='submit' value='$Lang::tr{'pakfire refresh list'}' />
 				</form>
 			</td>
 			<td>
@@ -414,7 +414,7 @@ END
 	print <<END;
 					</select>
 					<input type='hidden' name='ACTION' value='upgrade' />
-					<input type='image' alt='$Lang::tr{'upgrade'}' title='$Lang::tr{'upgrade'}' src='/images/document-save.png' />
+					<input type='image' alt='$Lang::tr{'pakfire upgrade'}' title='$Lang::tr{'pakfire upgrade'}' src='/images/document-save.png' />
 				 </form>
 			</td>
 		</tr>
@@ -434,7 +434,7 @@ END
 	print <<END;
 					</select>
 					<input type='hidden' name='ACTION' value='install' />
-					<input type='image' alt='$Lang::tr{'install'}' title='$Lang::tr{'install'}' src='/images/list-add.png' />
+					<input type='image' alt='$Lang::tr{'pakfire install'}' title='$Lang::tr{'pakfire install'}' src='/images/list-add.png' />
 				</form>
 			</td>
 			<td style="padding:5px 10px 20px 20px" align="center"><p>$Lang::tr{'pakfire uninstall description'}</p>