diff --git a/doc/language_issues.de b/doc/language_issues.de
index a8626e352..3e195d5b9 100644
--- a/doc/language_issues.de
+++ b/doc/language_issues.de
@@ -94,12 +94,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -896,6 +895,7 @@ WARNING: translation string unused: week
 WARNING: translation string unused: week-graph
 WARNING: translation string unused: weekly firewallhits
 WARNING: translation string unused: wg download configuration
+WARNING: translation string unused: wg missing port
 WARNING: translation string unused: wg show configuration qrcode
 WARNING: translation string unused: wildcards
 WARNING: translation string unused: wins server
diff --git a/doc/language_issues.en b/doc/language_issues.en
index 1fdb40a87..398e50a15 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -2182,7 +2182,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 6ff02aa04..00fe1159d 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -94,12 +94,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1138,7 +1137,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 2b9cd9d50..6ba966397 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -98,12 +98,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1078,7 +1077,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 445a1a76c..8aa998bf9 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -67,12 +67,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1424,7 +1423,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 055d8e98d..667142a70 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -67,12 +67,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1445,7 +1444,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index e0a57174d..913784cf5 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -66,12 +66,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1687,7 +1686,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 5745996bc..082946177 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -66,12 +66,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1680,7 +1679,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 833d450ab..890f19d8e 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -89,12 +89,11 @@ WARNING: translation string unused: advproxy errmsg change fail
 WARNING: translation string unused: advproxy errmsg change success
 WARNING: translation string unused: advproxy errmsg invalid bdc
 WARNING: translation string unused: advproxy errmsg invalid pdc
-WARNING: translation string unused: advproxy errmsg invalid user
+WARNING: translation string unused: advproxy errmsg invalid user/password
 WARNING: translation string unused: advproxy errmsg no browser
 WARNING: translation string unused: advproxy errmsg no password
 WARNING: translation string unused: advproxy errmsg ntlm domain
 WARNING: translation string unused: advproxy errmsg ntlm pdc
-WARNING: translation string unused: advproxy errmsg password incorrect
 WARNING: translation string unused: advproxy invalid num of children
 WARNING: translation string unused: advproxy no clients defined
 WARNING: translation string unused: advproxy redirector children
@@ -1307,7 +1306,6 @@ WARNING: untranslated string: wg leave empty to automatically select = Leave emp
 WARNING: untranslated string: wg missing allowed ips = Missing AllowedIPs
 WARNING: untranslated string: wg missing endpoint address = Missing Endpoint Address
 WARNING: untranslated string: wg missing endpoint port = Missing Endpoint Port
-WARNING: untranslated string: wg missing port = Missing Port
 WARNING: untranslated string: wg missing private key = Missing Private Key
 WARNING: untranslated string: wg missing public key = Missing Public Key
 WARNING: untranslated string: wg name is already used = The name is already in use
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 7fd0dae2b..bbccfe034 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -302,7 +302,7 @@
 'advproxy errmsg invalid upstream proxy' => 'Ungültige IP/Hostname für vorgelagerten Proxy',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Ungültiger Benutzername oder ungültiges Kennwort für vorgelagerten Proxy',
 'advproxy errmsg invalid url' => 'Ungültige URL',
-'advproxy errmsg invalid user' => 'Benutzername existiert nicht',
+'advproxy errmsg invalid user/password' => 'Fehler in Benutzername und/oder Passwort',
 'advproxy errmsg ldap base dn' => 'LDAP Base DN erforderlich',
 'advproxy errmsg ldap bind dn' => 'LDAP Bind DN Benutzername und Passwort erforderlich',
 'advproxy errmsg ldap port' => 'Ungültige LDAP-Portnummer',
@@ -315,7 +315,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Web Proxy muss für die Authentifizierung im nicht-transparenten Modus laufen',
 'advproxy errmsg ntlm domain' => 'Windows-Domänenname erforderlich',
 'advproxy errmsg ntlm pdc' => 'Hostname des primären Domain Controllers erforderlich',
-'advproxy errmsg password incorrect' => 'Falsches Passwort',
 'advproxy errmsg password length' => 'Ungültiger Wert für Passwortlänge',
 'advproxy errmsg password length 1' => 'Passwort muss mindestens ',
 'advproxy errmsg password length 2' => ' Zeichen enthalten',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 87e59ad16..31a2ec0a5 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -303,7 +303,7 @@
 'advproxy errmsg invalid upstream proxy' => 'Invalid upstream proxy IP/hostname',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Invalid upstream proxy username or password setting',
 'advproxy errmsg invalid url' => 'Invalid URL',
-'advproxy errmsg invalid user' => 'Username does not exist',
+'advproxy errmsg invalid user/password' => 'Error in Username and/or Password',
 'advproxy errmsg ldap base dn' => 'LDAP base DN required',
 'advproxy errmsg ldap bind dn' => 'LDAP bind DN username and password required',
 'advproxy errmsg ldap port' => 'Invalid LDAP port number',
@@ -316,7 +316,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Web proxy must be running in non-transparent mode for authentication',
 'advproxy errmsg ntlm domain' => 'Windows domain name required',
 'advproxy errmsg ntlm pdc' => 'Hostname for primary domain controller required',
-'advproxy errmsg password incorrect' => 'Password incorrect',
 'advproxy errmsg password length' => 'Invalid value for password length',
 'advproxy errmsg password length 1' => 'Password must have at least ',
 'advproxy errmsg password length 2' => ' characters',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index a830b215c..b8c80145a 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -300,7 +300,7 @@
 'advproxy errmsg invalid upstream proxy' => 'Nombre de host/IP de proxy ascendente no válido',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Nombre de usuario o configuración de contraseña no válido para proxy de subida',
 'advproxy errmsg invalid url' => 'URL Inválida',
-'advproxy errmsg invalid user' => 'Nombre de usuario no existe',
+'advproxy errmsg invalid user/password' => 'Error en el nombre de usuario y/o contraseña',
 'advproxy errmsg ldap base dn' => 'Se requiere base DN para LDAP',
 'advproxy errmsg ldap bind dn' => 'Nombre de usuario del DN de conexión LDAP requerido',
 'advproxy errmsg ldap port' => 'Número de puerto LDAP no válido',
@@ -313,7 +313,6 @@
 'advproxy errmsg non-transparent proxy required' => 'El servidor proxy debe estar corriendo en modo no-transparente para usar la autenticación',
 'advproxy errmsg ntlm domain' => 'Nombre de dominio Windows requerido',
 'advproxy errmsg ntlm pdc' => 'Nombre de host para el controlador de dominio primario es requerido',
-'advproxy errmsg password incorrect' => 'Contraseña incorrecta',
 'advproxy errmsg password length' => 'Valor no válido para longitud de contraseña',
 'advproxy errmsg password length 1' => 'La contraseña debe tener por lo menos ',
 'advproxy errmsg password length 2' => ' caracteres',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index 06f50fd93..47d0e9e52 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -309,7 +309,7 @@
 'advproxy errmsg invalid upstream proxy' => 'Adresse IP / nom d\'hôte du proxy en amont non valide',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Nom d\'utilisateur du proxy upstream ou configuration du mot de passe non valide',
 'advproxy errmsg invalid url' => 'URL invalide',
-'advproxy errmsg invalid user' => 'L\'utilisateur n\'existe pas',
+'advproxy errmsg invalid user/password' => 'Erreur dans le nom d\'utilisateur et/ou le mot de passe',
 'advproxy errmsg ldap base dn' => 'Nom absolu LDAP requis',
 'advproxy errmsg ldap bind dn' => 'Lien nom utilisateur et mot de passe LDAP requis',
 'advproxy errmsg ldap port' => 'Numéro de port LDAP non valide',
@@ -322,7 +322,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Le proxy web doit fonctionner en mode non transparent pour l\'authentification',
 'advproxy errmsg ntlm domain' => 'Nom de domaine Windows requis',
 'advproxy errmsg ntlm pdc' => 'Nom d\'hôte requis pour le Contrôleur de Domaine Principal',
-'advproxy errmsg password incorrect' => 'Mot de passe incorrect',
 'advproxy errmsg password length' => 'Longueur de mot de passe non valide',
 'advproxy errmsg password length 1' => 'Le mot de passe doit avoir au moins ',
 'advproxy errmsg password length 2' => ' caractères',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index df3c1f9eb..3cad66fff 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -232,7 +232,7 @@
 'advproxy errmsg invalid proxy port' => 'Invalid proxy port',
 'advproxy errmsg invalid upstream proxy' => 'Invalid upstream proxy IP/hostname',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Invalid upstream proxy username or password setting',
-'advproxy errmsg invalid user' => 'Username does not exist',
+'advproxy errmsg invalid user/password' => 'Errore nel nome utente e/o nella password',
 'advproxy errmsg ldap base dn' => 'LDAP base DN required',
 'advproxy errmsg ldap bind dn' => 'LDAP bind DN username and password required',
 'advproxy errmsg ldap port' => 'Invalid LDAP port number',
@@ -245,7 +245,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Proxy Web deve essere eseguito in modalit&agrave; non trasparente per l\'autenticazione',
 'advproxy errmsg ntlm domain' => 'Windows domain name required',
 'advproxy errmsg ntlm pdc' => 'Hostname for primary domain controller required',
-'advproxy errmsg password incorrect' => 'Password incorrect',
 'advproxy errmsg password length' => 'Invalid value for password length',
 'advproxy errmsg password length 1' => 'Password must have at least ',
 'advproxy errmsg password length 2' => ' characters',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index da01276a8..3d3d06593 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -232,7 +232,7 @@
 'advproxy errmsg invalid proxy port' => 'Ongeldige proxy poort',
 'advproxy errmsg invalid upstream proxy' => 'Ongeldig upstream proxy IP-adres',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Ongeldige upstream proxy gebruikersnaam of wachtwoord instelling',
-'advproxy errmsg invalid user' => 'Gebruikersnaam bestaat niet',
+'advproxy errmsg invalid user/password' => 'Fout in gebruikersnaam en/of wachtwoord',
 'advproxy errmsg ldap base dn' => 'LDAP base DN vereist',
 'advproxy errmsg ldap bind dn' => 'LDAP bind DN gebruikersnaam en wachtwoord zijn vereist',
 'advproxy errmsg ldap port' => 'Ongeldig LDAP poortnummer',
@@ -245,7 +245,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Web proxy moet in niet-transparante modus draaien voor authenticatie',
 'advproxy errmsg ntlm domain' => 'Windows domeinnaam vereist',
 'advproxy errmsg ntlm pdc' => 'Hostnaam voor primaire domeincontroller vereist',
-'advproxy errmsg password incorrect' => 'Wachtwoord onjuist',
 'advproxy errmsg password length' => 'Ongeldige waarde voor wachtwoordlengte',
 'advproxy errmsg password length 1' => 'Wachtwoord moet tenminste ',
 'advproxy errmsg password length 2' => ' tekens bevatten',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 9223fb152..c0f0c9c4e 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -221,7 +221,7 @@
 'advproxy errmsg invalid pdc' => 'Nieprawidłowa nazwa hosta dla podstawowego kontrolera domeny',
 'advproxy errmsg invalid proxy port' => 'Nieprawidłowy port proxy',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Invalid upstream proxy username or password setting',
-'advproxy errmsg invalid user' => 'Użytkownik nie istnieje',
+'advproxy errmsg invalid user/password' => 'Błąd nazwy użytkownika i/lub hasła',
 'advproxy errmsg ldap base dn' => 'LDAP base DN required',
 'advproxy errmsg ldap bind dn' => 'LDAP bind DN username and password required',
 'advproxy errmsg ldap port' => 'Nieprawidłowy numer portu LDAP',
@@ -234,7 +234,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Serwer proxy nie może być uruchomiony w trybie transparentym jeżeli chcesz używać autoryzacji',
 'advproxy errmsg ntlm domain' => 'Wymagana nazwa domeny Windows',
 'advproxy errmsg ntlm pdc' => 'Wymagana nazwa hosta podstawowego kontrolera domeny',
-'advproxy errmsg password incorrect' => 'Nieprawidłowe hasło',
 'advproxy errmsg password length' => 'Nieprawidłowa wartość długości hasła',
 'advproxy errmsg password length 1' => 'Hasło musi mieć conajmniej ',
 'advproxy errmsg password length 2' => ' znaków',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index 34da20ecc..5a539434c 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -219,7 +219,7 @@
 'advproxy errmsg invalid pdc' => 'Неверное имя хоста для основного контролера домена',
 'advproxy errmsg invalid proxy port' => 'Неверный порт proxy',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Неверное имя или пароль для исходящего proxy',
-'advproxy errmsg invalid user' => 'Данное имя пользователя не существует',
+'advproxy errmsg invalid user/password' => 'Ошибка в имени пользователя и/или пароле',
 'advproxy errmsg ldap base dn' => 'LDAP base DN required',
 'advproxy errmsg ldap bind dn' => 'LDAP bind DN username and password required',
 'advproxy errmsg ldap port' => 'Неверный номер порта LDAP',
@@ -232,7 +232,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Для аутентификации proxy должен работать в непрозрачном режиме',
 'advproxy errmsg ntlm domain' => 'Требуется имя домена Windows',
 'advproxy errmsg ntlm pdc' => 'Требуется имя хоста для основного контролера домена',
-'advproxy errmsg password incorrect' => 'Неверный пароль',
 'advproxy errmsg password length' => 'Неверная длина пароля',
 'advproxy errmsg password length 1' => 'Пароль должен иметь как минимум ',
 'advproxy errmsg password length 2' => ' символов',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 4cba99ff1..dedcb152a 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -293,7 +293,7 @@
 'advproxy errmsg invalid proxy port' => 'Geçersiz vekil sunucu bağlantı noktası',
 'advproxy errmsg invalid upstream proxy' => 'Geliş yönündeki geçersiz bir vekil sunucu IP adresi veya ana bilgisayar adı',
 'advproxy errmsg invalid upstream proxy username or password setting' => 'Geliş yönündeki geçersiz bir vekil sunucu adı veya parola ayarı',
-'advproxy errmsg invalid user' => 'Kullanıcı adı yok',
+'advproxy errmsg invalid user/password' => 'Kullanıcı Adı ve/veya Şifre Hatası',
 'advproxy errmsg ldap base dn' => 'LDAP temel DN gerekli',
 'advproxy errmsg ldap bind dn' => 'LDAP temel DN kullanıcı adı ve parola gerekli',
 'advproxy errmsg ldap port' => 'Geçersiz LDAP bağlantı noktası numarası',
@@ -306,7 +306,6 @@
 'advproxy errmsg non-transparent proxy required' => 'Web vekil kimlik doğrulaması için şeffaf olmayan yöntemde çalışıyor olması gerekir',
 'advproxy errmsg ntlm domain' => 'Windows etki alanı adı gereklidir',
 'advproxy errmsg ntlm pdc' => 'Gerekli birincil etki alanı denetleyicisi için ana bilgisayar adı',
-'advproxy errmsg password incorrect' => 'Yanlış parola',
 'advproxy errmsg password length' => 'Parola uzunluğu için geçersiz değer',
 'advproxy errmsg password length 1' => 'Parola için minimum uzunluk ',
 'advproxy errmsg password length 2' => ' karakter',